Subject: Re: bug#48994: 28.0.50; [PATCH] 28.0.50; Native compilation unnecessarily recompiles .eln (macOS)

From: Alan Third <[email-masked]>
Date: Tue, 22 Jun 2021 17:59:59 +0100

On Tue, Jun 22, 2021 at 11:51:57AM -0500, Matthew Bauer wrote:
> > !?
> 
> > As far as I'm aware nextstep/Makefile shouldn't need to know about the
> > prefix because it's not relevant to that type of install...
> 
> > What configure flags are you using? (They should be listed at the top
> > of configure.log.)
> 
> There's probably a better to way to fix it - my familiarity with autoconf
> is not great.
> 
> But in nextstep/Makefile we get this line:
> 
> ns_applibexecdir = ${exec_prefix}/libexec
> >
> 
> and exec_prefix undefined without defining prefix & exec_prefix.

But you are building with the flag --disable-ns-self-contained?

If so there's no need for nextstep/Makefile to do anything, so it
shouldn't matter. I suppose we probably want to avoid generating that
makefile, or not call it, or something... I'm not sure.
-- 
Alan Third